<?php
	/*ob_start();
	var_dump($_GET);
	var_dump($_POST);
	$test=ob_get_clean();
	Email::sendMail(array(
			'destinatario' => Shop::$empresa->direccion_email . ',' . Shop::$empresa->nombre_legal,
			//'destinatario' => 'pedro@arminet.es,Pedro',
			'asunto' => 'Resultado_ceca ',
			'contenido' => 'Hemos recibido un intento de pago. Estos son los datos técnicos:<br/>
			'. $test
		));*/
	//Pedro 03/Junio/2019
	//Este fichero es el que vamos a lanzar cuando hay un URLOK en la pasarela de redsys
	$MerchantID = Getter::get('MerchantID', '');
	$AcquirerBIN = Getter::get('AcquirerBIN', '');
	$Num_operacion = Getter::get('Num_operacion', '');
	$Importe = Getter::get('Importe', '');
	$TipoMoneda = Getter::get('TipoMoneda', '');
	$Exponente = Getter::get('Exponente', '');
	$Referencia = Getter::get('Referencia', '');
	$Firma = Getter::get('Firma', '');
	$Codigo_pedido = Getter::get('Codigo_pedido', '');
	$Codigo_cliente = Getter::get('Codigo_cliente', '');
	$Codigo_comercio = Getter::get('Codigo_comercio', '');
	$Num_aut = Getter::get('Num_aut', '');
	$BIN = Getter::get('BIN', '');
	$FinalPAN = Getter::get('FinalPAN', '');
	$Cambio_moneda = Getter::get('Cambio_moneda', '');
	$Idioma = Getter::get('Idioma', '');
	$Pais = Getter::get('Pais', '');
	$Tipo_tarjeta = Getter::get('Tipo_tarjeta', '');
	$Descripcion = Getter::get('Descripcion', '');

	//Creamos lanzamos el módulo de la pasarela de ceca indicando que vamos a chequear el pago
	$ceca_object = Module::Ceca_pasarela(NULL, array(
		'MerchantID' => $MerchantID,
		'AcquirerBIN' => $AcquirerBIN,
		'Num_operacion' => $Num_operacion,
		'Importe' => $Importe,
		'TipoMoneda' => $TipoMoneda,
		'Exponente' => $Exponente,
		'Referencia' => $Referencia,
		'Firma' => $Firma,
		'Codigo_pedido' => $Codigo_pedido,
		'Codigo_cliente' => $Codigo_cliente,
		'Codigo_comercio' => $Codigo_comercio,
		'Num_aut' => $Num_aut,
		'BIN' => $BIN,
		'FinalPAN' => $FinalPAN,
		'Cambio_moneda' => $Cambio_moneda,
		'Idioma' => $Idioma,
		'Pais' => $Pais,
		'Tipo_tarjeta' => $Tipo_tarjeta,
		'Descripcion' => $Descripcion,
		'chequear_pago' => true				//Con este parámetro indicamos que no estamos generando una pasarela si no recibiendo datos que hay que comprobar
	));
	//Por si tuviese que mostrar algo:
	echo($ceca_object);
?>